Sisimai::Reason::SpamDetected(3pm)

NAME
Sisimai::Reason::SpamDetected - Bounce reason is "spamdetected" due to Spam content in the message or not.

SYNOPSIS
    use Sisimai::Reason::SpamDetected;
    print Sisimai::Reason::SpamDetected->match('550 spam detected');   # 1

DESCRIPTION
"Sisimai::Reason::SpamDetected" checks the bounce reason is "spamdetected" due to the spam content in the message or not. This class is called only "Sisimai::Reason" class.

This is the error that the message you sent was rejected by the spam filter which is running on the remote host. This reason has added in Sisimai 4.1.25.

    Action: failed
    Status: 5.7.1
    Diagnostic-Code: smtp; 550 5.7.1 Message content rejected, UBE, id=00000-00-000
    Last-Attempt-Date: Thu, 9 Apr 2008 23:34:45 +0900 (JST)

CLASS METHODS

  "text()"
text() method returns the fixed string "spamdetected".

    print Sisimai::Reason::SpamDetected->text;  # spamdetected

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::SpamDetected->match('550 Spam detected');   # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "rejected" due to the spam content in the message. The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2015-2018,2020-2026 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.